!set title=Coloca 3 + 3 casillas
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=40
prevarcnt=38
postvarcnt=1
replycnt=20
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!record 0 of table

val6=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp0=!rowcnt $tmp
val7=$[rint($(tmp0))]

!ifval $val2 notitemof 1,2,3,4
val2=$[rint(0)]
!endif

!ifval $val3 notitemof 1,2,3,4
val3=$[rint(0)]
!endif
val8=

!ifval $val4 issametext $val8 or $val4<7 or	 $val4>$val7
val4=$[rint(54)]
!endif
tmp0=!values x for x=1 to $val7

val9=$(tmp0)
tmp0=!listintersect $val5 and $val9

val5=$(tmp0)

!ifval $val2>0
val10=$[rint($val2)]
!else
tmp0=!randint 1, 4

val10=$[rint($(tmp0))]
!endif

!ifval $val3=$val2
val11=$[rint(0)]
!else
val11=$[rint($val3)]
!endif
tmp0=!listcomplement $val10 in 1,2,3,4

val12=$(tmp0)

!ifval \candouble issametext yes and $val10 != 1
val12=$val10,$val12
!endif

!ifval $val11>0 and $val11 isitemof $val12
val13=$[rint($val11)]
!else
tmp=!nonempty items $val12

tmp0=!randitem $tmp
val13=$[rint($(tmp0))]
!endif
val14=$[rint(0)]
val14=$[rint(3)]
tmp0=!word 1 of 3 + 3

val15=$[rint($(tmp0))]
tmp0=!record 0 of position

val16=$(tmp0)
val17=$val16
val8=
!if $val5 notsametext $val8 and \selective notsametext no 
tmp=!translate internal $	$ to ; in $val17

tmp=!row $val5 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val17=$(tmp0)
!endif
tmp=!translate internal $	$ to ; in $val17

tmp=!column 3 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val18=$(tmp0)
tmp=!translate internal $	$ to ; in $val17

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val19=$(tmp0)
tmp=!translate internal $	$ to ; in $val17

tmp0=!rowcnt $tmp
val20=$[rint(min($val4,$(tmp0)))]
val15=$[rint(min($val15,$val20))]
tmp0=!shuffle $val20

tmp1=!item 1 to $val15+$val14 of $(tmp0)

val21=$(tmp1)
tmp0=!sort numeric items $val21

val21=$(tmp0)
tmp=!translate internal $	$ to ; in $val17

tmp=!row $val21 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val6=$(tmp0)
val22=$(val6[;2])

!ifval $val14>0 and $val20>$val15
val23=;$(val22[$val15+1..$val15+$val14])
!else
val23=
!endif
val24=
val25=$[rint(35)]
val26=$[rint(30)]
!for val27 =1 to $val15 

!ifval $(val6[$val27;3])>8
val28=$[rint($(val6[$val27;4])*$val25+$val25*2+1)]
!else
val28=$[rint($(val6[$val27;4])*$val25+1)]
!endif

!ifval $(val6[$val27;3])>8
val29=$[rint($(val6[$val27;3])*$val26+6)]
!else
val29=$[rint($(val6[$val27;3])*$val26+1)]
!endif
val24=$val24	r$val27,$val28 x $val29
!next
val30=$val25-1 x $val26-1
tmp0=!item 1 to $val15 of r1,r2,r3,r4,r5,r6,r7,r8,r9,r10,r11,r12,r13,r14,r15,r16,r17,r18,r19,r20

val31=$(tmp0)
oefsteps=$val31 
nextstep=!nosubst $val31 
!readproc oef/steps.proc
replytype1=dragfill
replyname1=Box 1
replygood1=$(val22[1])$val23
replytype2=dragfill
replyname2=Box 2
replygood2=$(val22[2])
replytype3=dragfill
replyname3=Box 3
replygood3=$(val22[3])
replytype4=dragfill
replyname4=Box 4
replygood4=$(val22[4])
replytype5=dragfill
replyname5=Box 5
replygood5=$(val22[5])
replytype6=dragfill
replyname6=Box 6
replygood6=$(val22[6])
replytype7=dragfill
replyname7=Box 7
replygood7=$(val22[7])
replytype8=dragfill
replyname8=Box 8
replygood8=$(val22[8])
replytype9=dragfill
replyname9=Box 9
replygood9=$(val22[9])
replytype10=dragfill
replyname10=Box 10
replygood10=$(val22[10])
replytype11=dragfill
replyname11=Box 11
replygood11=$(val22[11])
replytype12=dragfill
replyname12=Box 12
replygood12=$(val22[12])
replytype13=dragfill
replyname13=Box 13
replygood13=$(val22[13])
replytype14=dragfill
replyname14=Box 14
replygood14=$(val22[14])
replytype15=dragfill
replyname15=Box 15
replygood15=$(val22[15])
replytype16=dragfill
replyname16=Box 16
replygood16=$(val22[16])
replytype17=dragfill
replyname17=Box 17
replygood17=$(val22[17])
replytype18=dragfill
replyname18=Box 18
replygood18=$(val22[18])
replytype19=dragfill
replyname19=Box 19
replygood19=$(val22[19])
replytype20=dragfill
replyname20=Box 20
replygood20=$(val22[20])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Coloca los símbolos dados en la tabla siguiente.	<p> <table border=0><tr><td>	 
!read oef/special.phtml imagefill $val1/table2.gif,700x360,$val30	$val24	 
$()	</td></tr></table>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:postdef
val30=$val25 x $val26-1

!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=1,24,25,26,30
embedcnt=1
